# Copyright 2016 Jochen Fabricius
# Distribution and modification is encouraged

macro target {type freq shape order level} {
  set ID [:dirac]
  # because we have implemented lazy evaluation of the impulse response
  # we have to wait for the event handler to finish calculating the frequency response
  :wait $ID FR
  set mag [:get $ID Magnitude $freq]
  :expr $ID * [expr {pow(10, ($level-$mag)/20.0)}]
  :filter $ID $type $freq [list $shape $order]
  :modify $ID Name "${type}_${freq}_${shape}_${order}"
}

